package com.iamberry.wechat.core.entity.member;

import java.io.Serializable;
import java.util.Date;

/**
 * 链接分享 实体
 * create date 2016年5月26日
 * @author 穆再兴
 *
 */
public class ShareInfo implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -1359675239744704009L;
	
	private Integer shareId;				//Id
	private String shareImgUrl;				//分享图片
	private String shareMessage;			//分享内容
	private Integer shareUserType;			//分享人类型
	private String shareUserOpenid;			//分享人openid
	private Date createDate;				//创建时间
	
	public Integer getShareId() {
		return shareId;
	}
	public void setShareId(Integer shareId) {
		this.shareId = shareId;
	}
	public String getShareImgUrl() {
		return shareImgUrl;
	}
	public void setShareImgUrl(String shareImgUrl) {
		this.shareImgUrl = shareImgUrl;
	}
	public String getShareMessage() {
		return shareMessage;
	}
	public void setShareMessage(String shareMessage) {
		this.shareMessage = shareMessage;
	}
	public Integer getShareUserType() {
		return shareUserType;
	}
	public void setShareUserType(Integer shareUserType) {
		this.shareUserType = shareUserType;
	}
	public String getShareUserOpenid() {
		return shareUserOpenid;
	}
	public void setShareUserOpenid(String shareUserOpenid) {
		this.shareUserOpenid = shareUserOpenid;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	@Override
	public String toString() {
		return "QrcodeShare [shareId=" + shareId + ", shareImgUrl="
				+ shareImgUrl + ", shareMessage=" + shareMessage
				+ ", shareUserType=" + shareUserType + ", shareUserOpenid="
				+ shareUserOpenid + ", createDate=" + createDate + "]";
	} 
	
}
